List on-call pay reports
curl --request GET \
--url https://api.rootly.com/v1/on_call_pay_reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "on_call_pay_reports",
"attributes": {
"status": "processing",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_duration": 123,
"users_count": 123,
"currency": "<string>",
"pay_type": "hourly",
"hourly_rate_cents": 123,
"daily_rate_cents": 123,
"total_pay_cents": 123,
"include_shadow": true,
"show_individual_shift_data": true,
"has_single_rate": true,
"enabled_granular_time_breakdown": true,
"last_generated_at": "2023-11-07T05:31:56Z"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/on_call_pay_reports \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"type": "on_call_pay_reports",
"attributes": {
"status": "processing",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_duration": 123,
"users_count": 123,
"currency": "<string>",
"pay_type": "hourly",
"hourly_rate_cents": 123,
"daily_rate_cents": 123,
"total_pay_cents": 123,
"include_shadow": true,
"show_individual_shift_data": true,
"has_single_rate": true,
"enabled_granular_time_breakdown": true,
"last_generated_at": "2023-11-07T05:31:56Z"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
},
"meta": {
"current_page": 123,
"next_page": 123,
"prev_page": 123,
"total_count": 123,
"total_pages": 123
}
}